---
- name: Copy ntpd.conf
  become: true
  template:
    src: ntpd.conf.j2
    dest: /etc/ntpd.conf
    mode: 0644
    owner: "{{ root_user }}"
    group: "{{ root_group }}"
  notify: Restart NTP server

- name: Start the NTP service
  become: true
  service:
    name: ntpd
    state: started
    enabled: true
    arguments: "-s"
